set default=0

if [ x$feature_default_font_path = xy ] ; then
    font=unicode
else
    font=$prefix/unicode.pf2
fi

# Copied from the netinst image
if loadfont $font ; then
    set gfxmode=800x600
    set gfxpayload=keep
    insmod efi_gop
    insmod efi_uga
    insmod video_bochs
    insmod video_cirrus
else
    set gfxmode=auto
    insmod all_video
fi

insmod gfxterm
insmod png

set theme=/boot/grub/live-theme/theme.txt
set menu_color_normal=cyan/blue
set menu_color_highlight=white/blue

terminal_output gfxterm

insmod play
play 960 440 1 0 4 440 1

# Live boot
menuentry "Tester Debian 12" {
    linux   /live/vmlinuz boot=live components quiet splash acpi_osi=Linux username=humain hostname=DFiso locales=fr_FR.UTF-8 keyboard-layouts=fr timezone=Europe/Paris
    initrd  /live/initrd.img
}
menuentry "Tester Debian 12 (mode sans échec)" {
    linux   /live/vmlinuz boot=live components memtest noapic noapm nodma nomce nolapic nomodeset nosmp nosplash vga=normal username=humain hostname=DFiso locales=fr_FR.UTF-8 keyboard-layouts=fr timezone=Europe/Paris
    initrd  /live/initrd.img
}

menuentry "Installation classique" {
    linux   /install/gtk/vmlinuz video=vesa:ywrap,mtrr vga=788 quiet locale=fr_FR.UTF-8 keyboard-configuration/layoutcode=fr keyboard-configuration/variantcode=latin9 keyboard-layouts=fr netcfg/get_hostname=debian file=/cdrom/install/df-preseed.cfg
    initrd  /install/gtk/initrd.gz
}

menuentry "Installation en mode expert" {
    linux   /install/vmlinuz priority=low vga=normal
    initrd  /install/initrd.gz
}

